<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
    <modelVersion>4.0.0</modelVersion>


    <parent>
        <groupId>cn.superdesk.uniorder</groupId>
        <artifactId>superdesk-operation-center</artifactId>
        <version>0.0.1-SNAPSHOT</version>
    </parent>

    <artifactId>superdesk-uniorder-web</artifactId>

    <dependencies>


        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-web</artifactId>
        </dependency>

        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-thymeleaf</artifactId>
        </dependency>


        <!--		<dependency>-->
        <!--			<groupId>io.dubbo.springboot</groupId>-->
        <!--			<artifactId>spring-boot-starter-dubbo</artifactId>-->
        <!--			<version>${dubbo-spring-boot}</version>-->
        <!--		</dependency>-->
        <!-- Dubbo Spring Boot Starter -->
        <!--		<dependency>-->
        <!--			<groupId>org.apache.dubbo</groupId>-->
        <!--			<artifactId>dubbo-spring-boot-starter</artifactId>-->
        <!--			<version>2.7.6</version>-->
        <!--		</dependency>-->
        <dependency>
            <groupId>com.alibaba.boot</groupId>
            <artifactId>dubbo-spring-boot-starter</artifactId>
            <version>0.2.1.RELEASE</version>
        </dependency>
        <dependency>
            <groupId>com.alibaba</groupId>
            <artifactId>dubbo</artifactId>
            <version>2.6.5</version>
            <scope>compile</scope>
        </dependency>

        <!--		<dependency>-->
        <!--			<groupId>org.apache.curator</groupId>-->
        <!--			<artifactId>curator-recipes</artifactId>-->
        <!--			<version>2.13.0</version>-->
        <!--		</dependency>-->


        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-test</artifactId>
            <scope>test</scope>
        </dependency>


        <!-- kafka -->
        <dependency>
            <groupId>org.springframework.kafka</groupId>
            <artifactId>spring-kafka</artifactId>
            <!-- <version>2.1.6.RELEASE</version>-->
        </dependency>

        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-mail</artifactId>
        </dependency>


        <!-- https://mvnrepository.com/artifact/org.apache.poi/poi -->
        <dependency>
            <groupId>org.apache.poi</groupId>
            <artifactId>poi</artifactId>
            <!--			<version>3.17</version>-->
            <version>4.1.2</version>
        </dependency>
        <!-- https://mvnrepository.com/artifact/org.apache.poi/poi-ooxml -->
        <dependency>
            <groupId>org.apache.poi</groupId>
            <artifactId>poi-ooxml</artifactId>
            <!--			<version>3.17</version>-->
            <version>4.1.2</version>
        </dependency>
        <!-- https://mvnrepository.com/artifact/org.apache.poi/poi-ooxml-schemas -->
        <dependency>
            <groupId>org.apache.poi</groupId>
            <artifactId>poi-ooxml-schemas</artifactId>
            <!--			<version>3.17</version>-->
            <version>4.1.2</version>
        </dependency>

        <!-- https://mvnrepository.com/artifact/dom4j/dom4j -->
        <dependency>
            <groupId>dom4j</groupId>
            <artifactId>dom4j</artifactId>
            <version>1.6.1</version>
        </dependency>

        <!-- https://mvnrepository.com/artifact/org.quartz-scheduler/quartz -->
        <dependency>
            <groupId>org.quartz-scheduler</groupId>
            <artifactId>quartz</artifactId>
            <version>2.3.2</version>
        </dependency>

<!--        2.9.2-->
<!--        &lt;!&ndash; https://mvnrepository.com/artifact/io.springfox/springfox-swagger2 &ndash;&gt;-->
<!--        <dependency>-->
<!--            <groupId>io.springfox</groupId>-->
<!--            <artifactId>springfox-swagger2</artifactId>-->
<!--            <version>3.0.0</version>-->
<!--        </dependency>-->
<!--        &lt;!&ndash; https://mvnrepository.com/artifact/io.springfox/springfox-swagger-ui &ndash;&gt;-->
<!--        <dependency>-->
<!--            <groupId>io.springfox</groupId>-->
<!--            <artifactId>springfox-swagger-ui</artifactId>-->
<!--            <version>3.0.0</version>-->
<!--        </dependency>-->
<!--        &lt;!&ndash; https://mvnrepository.com/artifact/io.springfox/springfox-bean-validators &ndash;&gt;-->
<!--        <dependency>-->
<!--            <groupId>io.springfox</groupId>-->
<!--            <artifactId>springfox-bean-validators</artifactId>-->
<!--            <version>3.0.0</version>-->
<!--        </dependency>-->

        <dependency>
            <groupId>com.github.xiaoymin</groupId>
            <artifactId>knife4j-spring-boot-starter</artifactId>
            <version>${knife4j.version}</version>
        </dependency>

        <dependency>
            <groupId>redis.clients</groupId>
            <artifactId>jedis</artifactId>
        </dependency>

        <dependency>
            <groupId>cn.superdesk.libs</groupId>
            <artifactId>superdesk-libs-common</artifactId>
            <version>${superdesk.libs.version}</version>
        </dependency>

        <dependency>
            <groupId>cn.superdesk.uniorder</groupId>
            <artifactId>superdesk-uniorder-common</artifactId>
            <version>${project.parent.version}</version>
        </dependency>
        <dependency>
            <groupId>cn.superdesk.uniorder</groupId>
            <artifactId>superdesk-uniorder-common-mq-kafka</artifactId>
            <version>${project.parent.version}</version>
        </dependency>
        <dependency>
            <groupId>cn.superdesk.uniorder</groupId>
            <artifactId>superdesk-uniorder-common-queue</artifactId>
            <version>${project.parent.version}</version>
        </dependency>

        <dependency>
            <groupId>cn.superdesk.uniorder</groupId>
            <artifactId>superdesk-uniorder-dao</artifactId>
            <version>${project.parent.version}</version>
        </dependency>
        <dependency>
            <groupId>cn.superdesk.uniorder</groupId>
            <artifactId>superdesk-uniorder-dto</artifactId>
            <version>${project.parent.version}</version>
        </dependency>
        <dependency>
            <groupId>cn.superdesk.uniorder</groupId>
            <artifactId>superdesk-uniorder-dubbo-facade</artifactId>
            <version>${project.parent.version}</version>
        </dependency>

        <!-- 什么鬼 -->
        <dependency>
            <groupId>cn.superdesk.uniorder.libs</groupId>
            <artifactId>superdesk-uniorder-lib-thread</artifactId>
            <version>${project.parent.version}</version>
        </dependency>

        <dependency>
            <groupId>cn.superdesk.uniorder</groupId>
            <artifactId>superdesk-uniorder-dubbo-consumer</artifactId>
            <version>${project.parent.version}</version>
        </dependency>

        <!-- 屏蔽 -->
<!--        <dependency>-->
<!--            <groupId>cn.superdesk.uniorder</groupId>-->
<!--            <artifactId>superdesk-uniorder-openapi</artifactId>-->
<!--            <version>${project.parent.version}</version>-->
<!--        </dependency>-->

        <!-- 新系统 -> 各系统 接收 -->
        <dependency>
            <groupId>cn.superdesk.app.transfer</groupId>
            <artifactId>superdesk-app-transfer-constants-receive</artifactId>
            <version>1.2.1-SNAPSHOT</version>
        </dependency>
        <dependency>
            <groupId>cn.superdesk.app.transfer</groupId>
            <artifactId>superdesk-transfer-supercloud-dto-receive</artifactId>
            <version>0.0.1-SNAPSHOT</version>
        </dependency>

        <dependency>
            <groupId>org.springframework.data</groupId>
            <artifactId>spring-data-redis</artifactId>
        </dependency>
        <dependency>
            <groupId>cn.superdesk.uniorder</groupId>
            <artifactId>superdesk-uniorder-openapicall-thirdpart-szhtxx-electronicInvoice-dto</artifactId>
            <version>${project.parent.version}</version>
        </dependency>
        <dependency>
            <groupId>cn.superdesk.uniorder</groupId>
            <artifactId>superdesk-uniorder-openapicall-thirdpart-szhtxx-paperInvoice-dto</artifactId>
            <version>${project.parent.version}</version>
        </dependency>
    </dependencies>

    <profiles>
        <profile>
            <!-- 本地开发环境 -->
            <id>dev</id>
            <properties>
                <profiles.active>dev</profiles.active>
            </properties>
            <!--默认启用的是dev环境配置-->
            <activation>
                <activeByDefault>true</activeByDefault>
            </activation>
        </profile>
        <profile>
            <!-- 测试环境 -->
            <id>test</id>
            <properties>
                <profiles.active>test</profiles.active>
            </properties>
        </profile>
        <profile>
            <!-- UAT环境 -->
            <id>uat</id>
            <properties>
                <profiles.active>uat</profiles.active>
            </properties>
        </profile>
        <profile>
            <!-- 生产环境 -->
            <id>prod</id>
            <properties>
                <profiles.active>prod</profiles.active>
            </properties>
        </profile>
        <profile>
            <!-- 生产环境 侨城汇 -->
            <id>qch</id>
            <properties>
                <profiles.active>qch</profiles.active>
            </properties>
        </profile>
    </profiles>

    <build>
        <!--		<finalName>${project.artifactId}</finalName>-->
        <plugins>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-deploy-plugin</artifactId>
                <configuration>
                    <skip>true</skip>
                </configuration>
            </plugin>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-install-plugin</artifactId>
                <configuration>
                    <skip>true</skip>
                </configuration>
            </plugin>
            <plugin>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
                <executions>
                    <execution>
                        <goals>
                            <goal>repackage</goal>
                        </goals>
                    </execution>
                </executions>
            </plugin>

        </plugins>
    </build>

</project>
